## wmxres 1.2-3ubuntu1

=== Makefile ===
# Edited for Debian GNU/Linux
DESTDIR = 

CC		=	gcc
CFLAGS 		=	-O2 -Wall
DEBUG_CFLAGS	=	-g -Wall
INCDIR		=	-I/usr/X11R6/include
LIBDIR		=	-L/usr/X11R6/lib
LIBS		=	-lXpm -lXext -lX11 -lXxf86vm
OBJS		=	wmxres/wmxres.o \
			wmgeneral/wmgeneral.o \

# ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
# CFLAGS += -g
# endif


.c.o:
	cc -c $(CFLAGS) -D$(shell echo `uname -s`) $< -o $*.o $(INCDIR)

all: wmxres

wmxres: $(OBJS)
	gcc $(CFLAGS) -o wmxres/wmxres $^ $(LIBDIR) $(LIBS)

debug:  $(OBJS)
	gcc $(DEBUG_CFLAGS) -o wmxres/wmxres $^ $(LIBDIR) $(LIBS)
install:: all
	install -s -m 4755 -o root wmxres/wmxres $(DESTDIR)/usr/bin

clean:
	for i in $(OBJS) ; do \
		rm -f $$i; \
	done
	rm -f wmxres/wmxres

## wmxres 1.2-1

=== debian/changelog ===
wmxres (1.2-1) unstable; urgency=low

  * Fixed an array overflow involving res_list (closes: #233800)
  * Added debug target to Makefile
  * removed "(s)" from copyright file to satisfy lintian
  * quoted strings in menu file

 -- Todd J. Troxell <ttroxell@debian.org>  Sun, 18 Apr 2004 21:31:28 -0400

wmxres (1.1-3) unstable; urgency=low

  * Fixed typo in standards-version line
  * Updated to policy 3.5.6.0

 -- Todd J. Troxell <ttroxell@debian.org>  Wed, 13 Feb 2002 22:27:47 -0500

wmxres (1.1-2) unstable; urgency=low

  * Altered package description (closes: bug#98411)
  * Added DEB_BUILD_OPTIONS for debug
  * Changed install paths to policy
  * Cleaned up manpage
  * Created a menu entry
  * Updated to policy 3.5.4.0
  * Removed unused entries in debian/rules

 -- Todd J. Troxell <ttroxell@debian.org>  Tue, 22 May 2001 16:33:48 -0500

wmxres (1.1-1) unstable; urgency=low

  * Initial Release. (closes: bug#97538)
  * Adjusted the Makefile to fix $DESTDIR problems.
  * Created a manpage

 -- Todd Troxell <ttroxell@debian.org>  Mon,  7 May 2001 01:52:55 -0500

Local variables:
mode: debian-changelog
End:

=== debian/control ===
Source: wmxres
Section: x11 
Priority: optional
Maintainer: Todd Troxell <ttroxell@debian.org>
Build-Depends: debhelper (>= 3.0.0), xlibs-dev
Standards-Version: 3.5.6.0

Package: wmxres
Architecture: any
Depends: ${shlibs:Depends}
Suggests: wmaker
Description: dock application to select your display mode among those possible 
 wmxres is a tiny dockable application that comes in handy when you want a
 specific X mode.  Modes can be scrolled through until the desired one is
 active.

## wmxres 1.2-1ubuntu1

=== debian/changelog ===
wmxres (1.2-1ubuntu1) hoary; urgency=low

  * added libxxf86dga-dev, libxxf86vm-dev to Build-Depends. 

 -- Daniel Holbach <dh@mailempfang.de>  Thu,  7 Apr 2005 00:55:54 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: wmxres
-Section: x11 
+Section: x11
 Priority: optional
 Maintainer: Todd Troxell <ttroxell@debian.org>
-Build-Depends: debhelper (>= 3.0.0), xlibs-dev
+Build-Depends: debhelper (>= 3.0.0), xlibs-dev, libxxf86dga-dev, libxxf86vm-dev
 Standards-Version: 3.5.6.0
 
 Package: wmxres

## wmxres 1.2-3

=== debian/changelog ===
wmxres (1.2-3) unstable; urgency=low

  * Added libxxf86dga-dev and libxxf86vm-dev to build-depends

 -- Todd Troxell <ttroxell@debian.org>  Wed, 30 Nov 2005 02:47:05 -0500

wmxres (1.2-2) unstable; urgency=low

  * Switched xlibs-dev build dep to libxpm-dev and libx11-dev.

 -- Todd Troxell <ttroxell@debian.org>  Wed, 30 Nov 2005 02:15:00 -0500

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: wmxres
-Section: x11
+Section: x11 
 Priority: optional
 Maintainer: Todd Troxell <ttroxell@debian.org>
-Build-Depends: debhelper (>= 3.0.0), xlibs-dev, libxxf86dga-dev, libxxf86vm-dev
+Build-Depends: debhelper (>= 3.0.0), libxpm-dev, libx11-dev, libxxf86vm-dev, libxxf86dga-dev
 Standards-Version: 3.5.6.0
 
 Package: wmxres

## wmxres 1.2-3ubuntu1

=== debian/changelog ===
wmxres (1.2-3ubuntu1) dapper; urgency=low

  * Resynchronise with Debian:
    - debian/control: Add libxext-dev to build dependencies.

 -- Daniel T Chen <crimsun@fungus.sh.nu>  Fri,  9 Dec 2005 21:38:28 -0800

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: x11 
 Priority: optional
 Maintainer: Todd Troxell <ttroxell@debian.org>
-Build-Depends: debhelper (>= 3.0.0), libxpm-dev, libx11-dev, libxxf86vm-dev, libxxf86dga-dev
+Build-Depends: debhelper (>= 3.0.0), libxpm-dev, libx11-dev, libxxf86vm-dev, libxxf86dga-dev, libxext-dev
 Standards-Version: 3.5.6.0
 
 Package: wmxres

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatability version to use.
export DH_COMPAT=3

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.
	

	touch configure-stamp

build: configure-stamp build-stamp
build-stamp:
	dh_testdir

	# Add here commands to compile the package.

	$(MAKE)
	#/usr/bin/docbook-to-man debian/wmxres.sgml > wmxres.1

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/wmxres.
	$(MAKE) install DESTDIR=$(CURDIR)/debian/wmxres


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
#	dh_installdebconf	
	dh_installdocs
#	dh_installexamples
	dh_installmenu
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
	dh_installman
#	dh_installinfo
#	dh_undocumented
	dh_installchangelogs 
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_makeshlibs
	dh_installdeb
#	dh_perl
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## wmxres 1.2-5ubuntu1

=== debian/changelog ===
wmxres (1.2-5ubuntu1) gutsy; urgency=low

  * Merge from debian unstable, remaining changes:
    - debian/control:
      + Add libxext-dev to build dependencies.
      + Update maintainer field.

 -- Luke Yelavich <themuso@ubuntu.com>  Mon,  9 Jul 2007 15:46:33 +1000

wmxres (1.2-5) unstable; urgency=low

  * Move to menu section Applications/System/Hardware. Closes: #432113

 -- Todd Troxell <ttroxell@debian.org>  Sun, 08 Jul 2007 14:01:35 -0400

wmxres (1.2-4) unstable; urgency=low

  * Update menu structure, per #361418.  Moved to Applications/System.
  * Update build script, dh_compat++.

 -- Todd Troxell <ttroxell@debian.org>  Wed, 04 Jul 2007 18:17:57 -0400

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: wmxres
 Section: x11 
 Priority: optional
-Maintainer: Todd Troxell <ttroxell@debian.org>
+Maintainer: Ubuntu MOTU Developers <ubuntu-motu@lists.ubuntu.com>
+XSBC-Original-Maintainer: Todd Troxell <ttroxell@debian.org>
 Build-Depends: debhelper (>= 3.0.0), libxpm-dev, libx11-dev, libxxf86vm-dev, libxxf86dga-dev, libxext-dev
 Standards-Version: 3.5.6.0

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 #export DH_VERBOSE=1
 
 # This is the debhelper compatability version to use.
-export DH_COMPAT=3
+export DH_COMPAT=4
 
 configure: configure-stamp
 configure-stamp:

## wmxres 1.2-9ubuntu1

=== debian/changelog ===
wmxres (1.2-9ubuntu1) hardy; urgency=low

  * Merge from debian unstable (LP: #188691). Remaining changes:
    - debian/control:
      + Add libxext-dev to build dependencies.
      + Update maintainer field 

 -- Stefan Ebner <hellboy195@gmail.com>  Sun, 03 Feb 2008 19:03:48 +0100

wmxres (1.2-9) unstable; urgency=low

  * Change -z,norelro to -z,relro in Makefile
  * Add XS-Vcs-hg header in debian/control

 -- Todd Troxell <ttroxell@debian.org>  Sat, 02 Feb 2008 23:55:27 -0500

wmxres (1.2-8) unstable; urgency=low

  * Add security CFLAGS -fstack-protector -D_FORTIFY_SOURCE=2 -Wformat
    -Wformat-security -Wl,-z,norelro

 -- Todd Troxell <ttroxell@debian.org>  Tue, 29 Jan 2008 17:20:55 -0500

wmxres (1.2-7ubuntu1) hardy; urgency=low

  * Merge from debian unstable, remaining changes:
    - debian/control:
      + Add libxext-dev to build dependencies.
      + Update maintainer field

 -- Luke Yelavich <themuso@ubuntu.com>  Fri, 02 Nov 2007 09:29:46 -0400

wmxres (1.2-7) unstable; urgency=low

  * Patch Makefile to depend on 'wmxres/wmxres' instead of 'wmxres' 
    and make clean target .PHONY (Closes: #442763)

 -- Todd Troxell <ttroxell@debian.org>  Sat, 29 Sep 2007 11:04:28 -0400

wmxres (1.2-6) unstable; urgency=low

  * Fix for nostrip handling in DEB_BUILD_OPTIONS Closes: #438305.
  * Clean up debian/rules, remove much already commented cruft.
  * Move DH_COMPAT setting from debian/rules to debian/compat.
  * Update debhelper dependency to 4.0.
  * Update standards version to 3.7.2.

 -- Todd Troxell <ttroxell@debian.org>  Sun, 19 Aug 2007 18:40:45 -0400

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,9 @@
 Priority: optional
 Maintainer: Ubuntu MOTU Developers <ubuntu-motu@lists.ubuntu.com>
 XSBC-Original-Maintainer: Todd Troxell <ttroxell@debian.org>
-Build-Depends: debhelper (>= 3.0.0), libxpm-dev, libx11-dev, libxxf86vm-dev, libxxf86dga-dev, libxext-dev
-Standards-Version: 3.5.6.0
+Build-Depends: debhelper (>= 4.0.0), libxpm-dev, libx11-dev, libxxf86vm-dev, libxxf86dga-dev, libxext-dev
+Standards-Version: 3.7.2
+XS-Vcs-Hg: http://code.rapidpacket.com/wmxres/
 
 Package: wmxres
 Architecture: any

## wmxres 1.2-10

=== Makefile ===
--- 
+++ 
@@ -2,7 +2,8 @@
 DESTDIR = 
 
 CC		=	gcc
-CFLAGS 		=	-O2 -Wall
+CFLAGS 		=	-O2 -Wall -fstack-protector -D_FORTIFY_SOURCE=2 -Wformat -Wformat-security
+FINAL_CFLAGS 		=	-O2 -Wall -fstack-protector -D_FORTIFY_SOURCE=2 -Wformat -Wformat-security -Wl,-z,norelro
 DEBUG_CFLAGS	=	-g -Wall
 INCDIR		=	-I/usr/X11R6/include
 LIBDIR		=	-L/usr/X11R6/lib
@@ -14,20 +15,25 @@
 # CFLAGS += -g
 # endif
 
+ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
+  INSTALL_FLAGS += -s
+endif
 
 .c.o:
 	cc -c $(CFLAGS) -D$(shell echo `uname -s`) $< -o $*.o $(INCDIR)
 
-all: wmxres
+all: wmxres/wmxres
 
-wmxres: $(OBJS)
+wmxres/wmxres: $(OBJS) 
 	gcc $(CFLAGS) -o wmxres/wmxres $^ $(LIBDIR) $(LIBS)
 
 debug:  $(OBJS)
 	gcc $(DEBUG_CFLAGS) -o wmxres/wmxres $^ $(LIBDIR) $(LIBS)
 install:: all
-	install -s -m 4755 -o root wmxres/wmxres $(DESTDIR)/usr/bin
+	install $(INSTALL_FLAGS) -m 4755 -o root wmxres/wmxres \
+          $(DESTDIR)/usr/bin
 
+.PHONY :clean
 clean:
 	for i in $(OBJS) ; do \
 		rm -f $$i; \

=== debian/changelog ===
wmxres (1.2-10) unstable; urgency=low

  * Add libxext-dev to Build-Depends. Closes: #465986

 -- Todd Troxell <ttroxell@debian.org>  Fri, 15 Feb 2008 15:36:31 -0500

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: wmxres
 Section: x11 
 Priority: optional
-Maintainer: Ubuntu MOTU Developers <ubuntu-motu@lists.ubuntu.com>
-XSBC-Original-Maintainer: Todd Troxell <ttroxell@debian.org>
+Maintainer: Todd Troxell <ttroxell@debian.org>
 Build-Depends: debhelper (>= 4.0.0), libxpm-dev, libx11-dev, libxxf86vm-dev, libxxf86dga-dev, libxext-dev
 Standards-Version: 3.7.2
 XS-Vcs-Hg: http://code.rapidpacket.com/wmxres/

=== debian/rules ===
--- 
+++ 
@@ -1,19 +1,20 @@
 #!/usr/bin/make -f
-# Sample debian/rules that uses debhelper.
-# GNU copyright 1997 to 1999 by Joey Hess.
+# debian/rules for wmxres
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
 # This is the debhelper compatability version to use.
-export DH_COMPAT=4
+# This should only be used to temporarily overried debian/compat
+# see debhelper(7)
+#
+#export DH_COMPAT=4 
 
 configure: configure-stamp
 configure-stamp:
 	dh_testdir
 	# Add here commands to configure the package.
 	
-
 	touch configure-stamp
 
 build: configure-stamp build-stamp
@@ -32,8 +33,9 @@
 	dh_testroot
 	rm -f build-stamp configure-stamp
 
-	# Add here commands to clean up after the build process.
-	-$(MAKE) clean
+	# Removed leading dash below-- should not be necessary to suppress
+	# errors on make clean.
+	$(MAKE) clean
 
 	dh_clean
 
@@ -55,27 +57,15 @@
 binary-arch: build install
 	dh_testdir
 	dh_testroot
-#	dh_installdebconf	
 	dh_installdocs
-#	dh_installexamples
 	dh_installmenu
-#	dh_installlogrotate
-#	dh_installemacsen
-#	dh_installpam
-#	dh_installmime
-#	dh_installinit
-#	dh_installcron
 	dh_installman
-#	dh_installinfo
-#	dh_undocumented
 	dh_installchangelogs 
 	dh_link
 	dh_strip
 	dh_compress
 	dh_fixperms
-#	dh_makeshlibs
 	dh_installdeb
-#	dh_perl
 	dh_shlibdeps
 	dh_gencontrol
 	dh_md5sums

## wmxres 1.2-10.1

=== debian/changelog ===
wmxres (1.2-10.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Bump debhelper compatibility level to 5 (Closes: #817726).

 -- Doug Torrance <dtorrance@piedmont.edu>  Sun, 08 Jan 2017 11:42:39 -0500

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: x11 
 Priority: optional
 Maintainer: Todd Troxell <ttroxell@debian.org>
-Build-Depends: debhelper (>= 4.0.0), libxpm-dev, libx11-dev, libxxf86vm-dev, libxxf86dga-dev, libxext-dev
+Build-Depends: debhelper (>= 5), libxpm-dev, libx11-dev, libxxf86vm-dev, libxxf86dga-dev, libxext-dev
 Standards-Version: 3.7.2
 XS-Vcs-Hg: http://code.rapidpacket.com/wmxres/

## wmxres 1.2-10.2

=== debian/changelog ===
wmxres (1.2-10.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix ftbfs with GCC-10. (Closes: #957959)

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Sun, 02 Aug 2020 17:57:54 +0100

## wmxres 1.2-10.A~4.3.0.201711291434

=== debian/changelog ===
wmxres (1.2-10.A~4.3.0.201711291434) ucs4-3-0-0; urgency=low

  * UCS auto build. No patches were applied to the original source package

 -- Univention builddaemon <buildd@univention.de>  Thu, 30 Nov 2017 01:21:59 +0100

## wmxres 1.3

=== debian/changelog ===
wmxres (1.3-1) unstable; urgency=medium

  * New upstream release.
  * debian/compat
    - Remove file; we will build-depend on debhelper-compat instead.
  * debian/control
    - Set Debian Window Maker Team as Maintainer and add Uploaders
      field with myself (Closes: #919163).
    - Use debhelper-compat in Build-Depends and bump compatibility
      level to 13 (Closes: #965869).
    - Bump Standards-Version to 4.5.0.
    - Add Homepage field.
    - Remove XD-Vcs-Hg field.
    - Add Vcs-* fields.
    - Add Rules-Requires-Root field.
    - Use ${misc:Depends}.
  * debian/copyright
    - Convert to DEP-5 format.
  * debian/menu
    - Remove deprecated menu file.
  * debian/patches/no-root.patch
    - New patch; don't set root as owner during installation.
  * debian/rules
    - Use dh.
    - Use all hardening flags.
  * debian/salsa-ci.yml
    - Add Salsa pipelines config file.
  * debian/source/format
    - New file; use 3.0 (quilt) (Closes: #953606).
  * debian/upstream/metadata
    - Add DEP-12 file.
  * debian/watch
    - Add uscan support.

 -- Doug Torrance <dtorrance@piedmont.edu>  Tue, 04 Aug 2020 23:17:41 -0400

=== debian/control ===
Source: wmxres
Section: x11
Priority: optional
Maintainer: Debian Window Maker Team <pkg-wmaker-devel@lists.alioth.debian.org>
Uploaders: Doug Torrance <dtorrance@piedmont.edu>
Build-Depends: debhelper-compat (= 13),
               libx11-dev,
               libxext-dev,
               libxpm-dev,
               libxxf86dga-dev,
               libxxf86vm-dev
Standards-Version: 4.5.0
Homepage: https://www.dockapps.net/wmxres
Vcs-Browser: https://salsa.debian.org/wmaker-team/wmxres
Vcs-Git: https://salsa.debian.org/wmaker-team/wmxres.git
Rules-Requires-Root: no

Package: wmxres
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: wmaker
Description: dock application to select your display mode among those possible
 wmxres is a tiny dockable application that comes in handy when you want a
 specific X mode.  Modes can be scrolled through until the desired one is
 active.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@

override_dh_auto_build:
	dh_auto_build -- CFLAGS="$(CPPFLAGS) $(CFLAGS)" LIBDIR="$(LDFLAGS)"

## wmxres 1.4

=== debian/changelog ===
wmxres (1.4-3) unstable; urgency=medium

  * debian/control
    - Update Maintainer email address to use tracker.d.o.
    - Bump Standards-Version to 4.6.0.
  * debian/copyright
    - Add myself to copyright holders for debian/*.
  * debian/upstream/metadata
    - Add Bug-* fields.

 -- Doug Torrance <dtorrance@piedmont.edu>  Tue, 26 Oct 2021 05:42:47 -0400

wmxres (1.4-2) unstable; urgency=medium

  * debian/tests/control
    - Add Restrictions: superficial (Closes: #969882).

 -- Doug Torrance <dtorrance@piedmont.edu>  Thu, 17 Sep 2020 07:31:51 -0400

wmxres (1.4-1) unstable; urgency=medium

  * New upstream release.
    - Now autotools is used for build instead of an old Makefile which
      hardcoded the compiler and stripped the binary during install,
      preventing cross building (Closes: #968433).
  * debian/control
    - Remove lib{xpm,xxf86dga}-dev from Build-Depends; no longer
      necessary.
    - Add libdockapp-dev and pkg-config to Build-Depends.
  * debian/dirs
    - Remove file; no longer necessary.
  * debian/patches/no-root.patch
    - Remove patch; no longer necessary.
  * debian/rules
    - Remove override_dh_auto_build target; no longer necessary.
  * debian/source/options
    - New file; ignore autogen.sh, which is in git but not the orig
      tarball.
  * debian/tests/control
    - Add simple smoke test for autopkgtest.
  * debian/wmxres.{1,manpages}
    - Remove files; manpage is now shipped by upstream.

 -- Doug Torrance <dtorrance@piedmont.edu>  Sat, 15 Aug 2020 19:39:56 -0400

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,15 @@
 Source: wmxres
 Section: x11
 Priority: optional
-Maintainer: Debian Window Maker Team <pkg-wmaker-devel@lists.alioth.debian.org>
+Maintainer: Debian Window Maker Team <team+wmaker@tracker.debian.org>
 Uploaders: Doug Torrance <dtorrance@piedmont.edu>
 Build-Depends: debhelper-compat (= 13),
+               libdockapp-dev,
                libx11-dev,
                libxext-dev,
-               libxpm-dev,
-               libxxf86dga-dev,
-               libxxf86vm-dev
-Standards-Version: 4.5.0
+               libxxf86vm-dev,
+               pkg-config
+Standards-Version: 4.6.0
 Homepage: https://www.dockapps.net/wmxres
 Vcs-Browser: https://salsa.debian.org/wmaker-team/wmxres
 Vcs-Git: https://salsa.debian.org/wmaker-team/wmxres.git

=== debian/tests/control ===
Test-Command: wmxres -v
Restrictions: superficial

=== debian/watch ===
version=4
https://www.dockapps.net/wmxres /download/wmxres@ANY_VERSION@@ARCHIVE_EXT@
